<form novalidate="" [formGroup]="form" (ngSubmit)="generateQr()">
  <div class="tip-modal">
    <div class="text-center title">Send tip</div>
    <!-- <div class="row mt2">
      <div class="col-md-6">
        <span class="balance">Balance:</span>
        <span class="balance-value">0 XPX</span>
      </div>
      <div class="col-md-6 text-center">
        <button class="qr button" (click)="openQRModal()">
          <img src="assets/images/qr_code.png" alt="" />
          Show QR Code
        </button>
      </div>
    </div> -->
    <div class="mt1 text-center">
      <img src="assets/images/treasure_chest.png" class="treasure-img" alt="" />
      <div class="tip-amount mx-auto">
        <input type="number" formControlName="amount" (input)="changeInputTipValue($event.target.value)" />
      </div>
    </div>
    <div class="slider-wrapper">
      <input type="range" id="slider" class="slider" #slider formControlName="tip" />
      <div class="circle1" id="circle1" #circle1></div>
      <div class="circle2" id="circle2" #circle2></div>
      <div class="circle3" id="circle3" #circle3></div>
      <div class="circle4" id="circle4" #circle4></div>
      <div class="circle5" id="circle5" #circle5></div>
    </div>

    <input type="text" class="comment" placeholder="Write a comment..." formControlName="message" #message>

    <div class="text-center">
      <button class="tip button">
        <i class="fa fa-qrcode"></i>
        Show QR Code
      </button>
    </div>
    <div class="info text-center">
      Your tip will be sent to your favorite artist.
    </div>
  </div>
</form>